from django.contrib import admin
from .models import Author, Books

class BooksInline(admin.TabularInline):
    model = Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio')
    search_field = ('first_name', 'last_name', 'age', 'nationality', 'bio')
    inlines = [BooksInline]

class BooksAdmin(admin.ModelAdmin):
    model = Books
    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb')
    search_field = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb')

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)